'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub p_echo(v)
 call wscript.echo(cstr(v))
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub raise_err(msg)
 err.raise -1,"",cstr(msg)
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub print_connection_info(cn)
 p_echo "Provider  :" & cn.properties("Provider Friendly Name")
 p_echo "Version   :" & cn.properties("provider version")
 p_echo "File Name :" & cn.properties("provider name")
 p_echo "Server    :" & cn.properties("dbms name")
 p_echo "Server Ver:" & cn.properties("dbms version")
 p_echo "Database  :" & cn.properties("data source name")
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function create_obj(name)
 p_echo "create obj:"""&cstr(name)&""""

 set create_obj=wscript.CreateObject(name)
end function

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function my_cstr(v)
 if(isnull(v))then
  my_cstr="NULL"
 else
  my_cstr=cstr(v)
 end if
end function

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function begin_trans(cn)
 p_echo "Begin transaction ..."

 begin_trans=cn.BeginTrans()
end function 'begin_trans

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function commit_trans(cn)
 p_echo "Commit transaction ..."

 commit_trans=cn.CommitTrans()
end function 'commit_trans

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub begin_distr_trans(cn,name)
 call cn_exec(cn,"begin distributed transaction "&name)
end sub 'begin_distr_trans

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub commit_distr_trans(cn,name)
 call cn_exec(cn,"commit transaction "&name)
end sub 'commit_distr_trans

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub check_param(cmd,param_id,param_value)
 p_echo "param ["&cstr(param_id)&"]="&my_cstr(cmd.parameters(param_id).value)

 if(cmd.parameters(param_id).value<>param_value)then raise_err("required "&my_cstr(param_value))
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub check_column(rs,column_id,column_value)
 p_echo "column ["&cstr(column_id)&"]="&my_cstr(rs.fields(column_id))

 if(rs.fields(column_id).value<>column_value)then raise_err("required "&my_cstr(column_value))
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub check_row_count(rs,cnt)
 if(not rs.bof) then rs.movefirst

 x=0

 while (not rs.eof)
  rs.movenext

  x=x+1
 wend

 p_echo "record count:"&cstr(x)

 if(x<>cnt)then call raise_err("required " & cstr(cnt) & " record(s)")
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function cn_exec(cn,text)
 p_echo "exec:"&text
 
 set cn_exec=cn.execute(text)
end function 'cn_exec

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub cmd_set_text(cmd,text)
 p_echo "cmd:"&text
 cmd.commandtext=text
end sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function cmd_execute(cmd)
 p_echo "execute cmd"
 
 set cmd_execute=cmd.execute
end function

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Sub cmd_clear_parameters(cmd)
 p_echo("clear cmd parameters list")

 While(cmd.parameters.count>0)
  call cmd.parameters.delete(0)
 wend 
End Sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Sub print_parameter_info(param)
 p_echo "name  :"&param.name
 p_echo "value :"&my_cstr(param.value)
End sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Sub print_cmd_params(cmd)
 For i=0 to cmd.parameters.count-1
  p_echo "param:"&my_cstr(i)&"----------"
  
  Call print_parameter_info(cmd(i))
 Next
End Sub

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Sub print_recordset(rs)
 record_count=0
 
 While(not rs.eof)
  For col=0 To rs.fields.count-1
   p_echo rs(col).name & "=" & my_cstr(rs(col).value)
  Next
  
  p_echo "---------------"
  
  rs.movenext  
  record_count=record_count+1
 wend
 
 p_echo "Total Record Count:" &CStr(record_count) 
end Sub ' print_recordset

'+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
